png++: png::detail::convert_color_space_impl< pixel > Struct Template Reference

png++ 0.2.10

Public Types | Public Member Functions | Static Protected Member Functions | List of all members
png::detail::convert_color_space_impl< pixel > Struct Template Reference

IO transformation class template. Converts image color space. More...

`#include <convert_color_space.hpp>`

## Public Types
typedef pixel_traits< pixel > | traits
typedef traits::component_type | component_type
typedef basic_alpha_pixel_traits< component_type > | alpha_traits

## Public Member Functions
template<class reader>
void | operator() (reader &io) const

## Static Protected Member Functions
static void | expand_8_to_16 (png_struct *, png_row_info *row_info, byte *row)
static void | dump_row (byte const *row, uint_32 width)
template<class reader>
static void | handle_16 (reader &io)
template<class reader>
static void | handle_alpha (reader &io, uint_32 filler)
template<class reader>
static void | handle_palette (reader &io)
template<class reader>
static void | handle_rgb (reader &io)
template<class reader>
static void | handle_gray (reader &io)

## Detailed Description

template<typename pixel>
struct png::detail::convert_color_space_impl< pixel >

IO transformation class template. Converts image color space.

## Member Typedef Documentation

## ◆ traits

template<typename pixel>

typedef pixel_traits< pixel > png::detail::convert_color_space_impl< pixel >::traits

## ◆ component_type

template<typename pixel>

typedef traits::component_type png::detail::convert_color_space_impl< pixel >::component_type

## ◆ alpha_traits

template<typename pixel>

typedef basic_alpha_pixel_traits< component_type > png::detail::convert_color_space_impl< pixel >::alpha_traits

## Member Function Documentation

## ◆ operator()()

template<typename pixel>
template<class reader>

void png::detail::convert_color_space_impl< pixel >::operator() | ( | reader & | io | ) | const
| inline

References png::basic_alpha_pixel_traits< component_type >::get_alpha_filler(), handle_16(), handle_alpha(), handle_gray(), handle_palette(), handle_rgb(), png::io_base::set_bit_depth(), and png::io_base::set_color_type().

## ◆ expand_8_to_16()

template<typename pixel>

void png::detail::convert_color_space_impl< pixel >::expand_8_to_16 | ( | png_struct * | ,
|  | png_row_info * | row_info,
|  | byte * | row )
| inlinestaticprotected

References dump_row().

Referenced by handle_16().

## ◆ dump_row()

template<typename pixel>

void png::detail::convert_color_space_impl< pixel >::dump_row | ( | byte const * | row,
|  | uint_32 | width )
| inlinestaticprotected

Referenced by expand_8_to_16().

## ◆ handle_16()

template<typename pixel>
template<class reader>

void png::detail::convert_color_space_impl< pixel >::handle_16 | ( | reader & | io | ) |
| inlinestaticprotected

References expand_8_to_16(), png::io_base::get_bit_depth(), png::io_base::set_read_user_transform(), png::io_base::set_strip_16(), and png::io_base::set_user_transform_info().

Referenced by operator()().

## ◆ handle_alpha()

template<typename pixel>
template<class reader>

void png::detail::convert_color_space_impl< pixel >::handle_alpha | ( | reader & | io,
|  | uint_32 | filler )
| inlinestaticprotected

References png::chunk_tRNS, png::color_mask_alpha, png::filler_after, png::io_base::get_color_type(), png::io_base::has_chunk(), png::io_base::set_add_alpha(), png::io_base::set_strip_alpha(), and png::io_base::set_tRNS_to_alpha().

Referenced by operator()().

## ◆ handle_palette()

template<typename pixel>
template<class reader>

void png::detail::convert_color_space_impl< pixel >::handle_palette | ( | reader & | io | ) |
| inlinestaticprotected

References png::color_type_palette, png::image_info::drop_palette(), png::io_base::get_bit_depth(), png::io_base::get_color_type(), png::io_base::get_info(), png::io_base::set_packing(), and png::io_base::set_palette_to_rgb().

Referenced by operator()().

## ◆ handle_rgb()

template<typename pixel>
template<class reader>

void png::detail::convert_color_space_impl< pixel >::handle_rgb | ( | reader & | io | ) |
| inlinestaticprotected

References png::color_mask_palette, png::color_mask_rgb, png::io_base::get_color_type(), png::io_base::set_gray_to_rgb(), and png::io_base::set_rgb_to_gray().

Referenced by operator()().

## ◆ handle_gray()

template<typename pixel>
template<class reader>

void png::detail::convert_color_space_impl< pixel >::handle_gray | ( | reader & | io | ) |
| inlinestaticprotected

References png::color_mask_alpha, png::color_type_gray, png::io_base::get_bit_depth(), png::io_base::get_color_type(), and png::io_base::set_gray_1_2_4_to_8().

Referenced by operator()().

The documentation for this struct was generated from the following file:

- convert_color_space.hpp